BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
GO
CREATE TABLE dbo.Tmp_KURUMLAR
	(
	KURUMLARID int NOT NULL,
	ADI nvarchar(300) NULL,
	KODU int NOT NULL,
	ILKODU int NULL,
	ILCEKODU int NULL,
	KURUMTIPI nvarchar(200) NULL,
	KURUMTURKODU int NULL,
	BASAMAKSEVIYESI int NULL,
	BAGLIKURUMKODU int NULL,
	AKTIF bit NOT NULL,
	KAPATILMATARIHI datetime NULL,
	KYTTARIH datetime NULL,
	GNCTARIH datetime NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.Tmp_KURUMLAR SET (LOCK_ESCALATION = TABLE)
GO
IF EXISTS(SELECT * FROM dbo.KURUMLAR)
	 EXEC('INSERT INTO dbo.Tmp_KURUMLAR (KURUMLARID, ADI, KODU, ILKODU, ILCEKODU, KURUMTIPI, KURUMTURKODU, BASAMAKSEVIYESI, BAGLIKURUMKODU, AKTIF, KAPATILMATARIHI, KYTTARIH, GNCTARIH)
		SELECT KURUMLARID, ADI, KODU, ILKODU, ILCEKODU, KURUMTIPI, KURUMTURKODU, BASAMAKSEVIYESI, BAGLIKURUMKODU, AKTIF, KAPATILMATARIHI, KYTTARIH, GNCTARIH FROM dbo.KURUMLAR WITH (HOLDLOCK TABLOCKX)')
GO
DROP TABLE dbo.KURUMLAR
GO
EXECUTE sp_rename N'dbo.Tmp_KURUMLAR', N'KURUMLAR', 'OBJECT' 
GO
ALTER TABLE dbo.KURUMLAR ADD CONSTRAINT
	PK_KURUMLAR PRIMARY KEY CLUSTERED 
	(
	KODU
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
COMMIT
